Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Interface RuleTarget

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  RuleBasedStripper.StripRuleTarget, Template, TemplateInversion

    public interface RuleTarget

extends Serializable

The target of a rule, typically a Template.

Method Summary
`void` | `explain(ExpressionPresenter presenter)` Output diagnostic explanation to an ExpressionPresenter

Method Detail

### explain

    void explain(ExpressionPresenter presenter)

  Output diagnostic explanation to an ExpressionPresenter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.